Skip to navigation

Move a Folder into another Folder

Move a Folder into another Folder

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

folder_idstringRequired
ID of the Folder.

Request

This endpoint expects an object.
parentIdstringRequired

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
childrenstringOptionalformat: "uri"
The folders directly nested under this folder.
createdAtstringOptional
descriptionstring or nullOptional
idstringOptional
modifiedAtstring or nullOptional
namestring or nullOptional
parentobject or nullOptional

The parent folder, if it exists. Root folders (one per Project) have no parent.

projectobject or nullOptional
ID of the containing project

Errors

400
Folder Move Request Bad Request Error
403
Folder Move Request Forbidden Error
404
Folder Move Request Not Found Error
409
Folder Move Request Conflict Error
429
Folder Move Request Too Many Requests Error
500
Folder Move Request Internal Server Error